LT-PARADIGM(1)

NAME
lt-paradigm - generate listings from a compiled transducer

SYNOPSIS
lt-paradigm [-a | -s | -z | -h] [-e TAG] fst_file [input_file [output_file]]

DESCRIPTION
lt-paradigm prints paths matching input patterns from a transducer

fst_file
    The compiled transducer

input_file
    A list of patterns to be extracted, separated by newlines or nulls

output_file
    All paths matching the patterns in input_file. Each path is terminated by a newline and groups are separated by the separator used in the input.

OPTIONS

-a - -analyser
    Match patterns on the right side of the transducer rather than the left.

-e TAG - -exclude TAG
    When expanding <*>, do use TAG

-s - -sort
    Sort the output for each pattern.

-z - -null-flush
    No-op, included for compatibility.

-h - -help
    Prints a short help message.

SEE ALSO
lt-expand(1), hfst-expand(1),

COPYRIGHT
Copyright © 2022 Apertium This is free software. You may redistribute copies of it under the terms of the GNU General Public License: https://www.gnu.org/licenses/gpl.html.

BUGS
Many... lurking in the dark and waiting for you!